Retry an avatar video
curl --request POST \
--url https://api.anam.ai/v1/avatar-videos/{id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.anam.ai/v1/avatar-videos/{id}/retry"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.anam.ai/v1/avatar-videos/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "avv_123",
"truncated": true,
"effectiveMaxDurationSeconds": 123,
"content": {
"available": true,
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {},
"durationSeconds": 123,
"sessionId": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"retryOf": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}retry avatar video
Creates a new job from the original immutable snapshot and links it through retryOf. Only terminal jobs can be retried.
POST
/
v1
/
avatar-videos
/
{id}
/
retry
Retry an avatar video
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 255Path Parameters
Response
New retry job accepted.
Example:
"avv_123"
Available options:
pending, running, finalizing, completed, failed, cancelled Show child attributes
Show child attributes
Available options:
script_completed, max_duration_reached, cancelled, null Underlying normal EngineSession ID. Use its recording deletion endpoint for deletion.
Show child attributes
Show child attributes
Last modified on August 7, 2026
Was this page helpful?
⌘I

